/*
 * PartialChargesFused.hpp
 *
 *  Created on: Jun 12, 2016
 *      Author: heber
 */


#ifndef PARTIALCHARGESFUSED_HPP_
#define PARTIALCHARGESFUSED_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/** This namespace contains a key for its sole data member PartialCharges.
 *
 * We need these keys as enumeration of the data members to allow
 * generic algorithms to work on it.
 *
 * \note forward declarations are not enough as we need the true (but empty)
 * instance when going through the list with boost::mpl::for_each.
 */
struct PartialChargesFused
{
  // keys for partial charges
  struct partial_charges_t {};
};

#endif /* PARTIALCHARGESFUSED_HPP_ */
